Qt 5.7 | Qt 3D | C++ Classes | QStaticPropertyUpdatedChangeBase

Qt 5.7.1 Reference Documentation

# QStaticPropertyUpdatedChangeBase Class

(Qt3DCore::QStaticPropertyUpdatedChangeBase)

The QStaticPropertyUpdatedChangeBase class is the base class for all static PropertyUpdated QSceneChange events More...

Header: | #include <QStaticPropertyUpdatedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | QPropertyUpdatedChangeBase
Inherited By: | Qt3DCore::QPropertyUpdatedChange

- List of all members, including inherited members

## Public Functions

| ~QStaticPropertyUpdatedChangeBase()
const char * | propertyName() const
void | setPropertyName(const char *name)

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QStaticPropertyUpdatedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QStaticPropertyUpdatedChangeBasePtr

## Detailed Description

The QStaticPropertyUpdatedChangeBase class is the base class for all static PropertyUpdated QSceneChange events

## Member Function Documentation

### `[protected]` QStaticPropertyUpdatedChangeBase::QStaticPropertyUpdatedChangeBase(QNodeId subjectId)

Constructs a new QStaticPropertyUpdatedChangeBase with subjectId

### QStaticPropertyUpdatedChangeBase::~QStaticPropertyUpdatedChangeBase()

Destroys the instance of QStaticPropertyUpdatedChangeBase.

### const char *QStaticPropertyUpdatedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyUpdatedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().

## Related Non-Members

### typedef Qt3DCore::QStaticPropertyUpdatedChangeBasePtr

A shared pointer for QStaticPropertyUpdatedChangeBase.